#include <bits/stdc++.h>

using namespace std;

vector <int> solve (vector<int> a){
    int n = a.size();

    vector <bool> odKolkuZaIndeks (n, false);
    vector <int> kolkuZaIndeks = a;
    vector <int> baraniIndeksi;
    sort (a.rbegin(), a.rend());
    int s=0, zbir=0;

    for (int i=0; i<n; i++){
        zbir += a[i];
    }

    int poluZbir = zbir/2;

    int brPakuvanja = n, ps = 0;             // razlika mejgu sofija i martina sekad moze da bide 0 ili 1
    int pakuvanjaPola = brPakuvanja/2;

    while ((s<poluZbir) || (ps<pakuvanjaPola)){
        s+=a[ps];

        for (int i=0; i<n; i++){
            if ((kolkuZaIndeks[i]==a[ps]) && (odKolkuZaIndeks[i]==false)){
                //cout << i<< endl;
                odKolkuZaIndeks[i]=true;
                baraniIndeksi.push_back(i);
                break;
            }
        }
        ps++;
    }

    int h=0;
    while (baraniIndeksi.size()!=a.size()){
        if (odKolkuZaIndeks[h]==false){
            baraniIndeksi.push_back(h);
        }
        h++;
    }

    return baraniIndeksi;
}


int main()
{

    int t;
    cin >> t;

    while (t>0){

        int n;
        cin >> n;
        vector <int> bonboni(n);
        for (int i=0; i<n; i++){
            cin >> bonboni[i];
        }
        vector <int> barano = solve(bonboni);
        //cout << barano.size();
        for (int i=0; i<n; i++){
            cout << barano[i] << " ";
        }
        cout << endl;
        t--;
    }
}
